//Unitary test
import {idGen, getAge, textMonth} from '../src/helpers/Index';

//Test correct id generation
describe('Test correct id generations', () => {
  test('Check if two id are different', () => {
    const id1 = idGen();
    const id2 = idGen();
    const id3 = idGen();

    expect(id1).not.toEqual(id2);
    expect(id1).not.toEqual(id3);
    expect(id3).not.toEqual(id2);
    expect(id1).toEqual(id1);
  });
});

//Test correct age calculate
describe('Test age calculation', () => {
  test('Check if age is correct according given date and current date', () => {
    const date = new Date();
    const future = new Date(2022, 8, 9, 11);
    const past = new Date(2018, 1, 10, 12);

    expect(getAge(date)).toBe('0 meses');
    expect(getAge(future)).toBe('Sin Determinar');
    expect(getAge(past)).toBe('4 años');
  });
});

//Test correct month in text
describe('Test month interpreter', () => {
  test('Check if numerical month is correctly translate in Spanish', () => {
    const Abril = 4;
    const Octubre = 10;

    expect(textMonth(Abril)).toBe('Abril');
    expect(textMonth(Octubre)).toBe('Octubre');
  });
});
