//Crop item component
import React from 'react';
import {Text, View, TouchableOpacity} from 'react-native';
import styles from '../styles/Index';
import {formatDate} from '../helpers/Index';
import Icon from 'react-native-vector-icons/MaterialCommunityIcons';

//Define imported icon
const remove = <Icon name="minus-circle" size={36} color="#ffa291" />;

//Passed props from parent component (view)
const Crop = ({item, setCropModal, cropEdit, cropDel}) => {
  //Define item properties
  const {fieldName, fieldCultureDate, cultureType, id} = item;

  return (
    <View style={styles.compContainer}>
      {/* Set item interaction */}
      <TouchableOpacity
        onLongPress={() => {
          setCropModal(true);
          cropEdit(item.id);
        }}
      >
        {/* Preview from crops listed */}
        <Text style={styles.compLabel}>Nombre del campo:</Text>
        <View style={styles.itemContainer}>
          {/* Remove culture directly from list */}
          <TouchableOpacity
            onLongPress={() => {
              cropDel(id);
            }}
            style={styles.itemRemove}
          >
            <Text>{remove}</Text>
          </TouchableOpacity>
        </View>
        <Text style={styles.compText}>{fieldName}</Text>
        <Text style={styles.compLabel}>Cultivo:</Text>
        <Text style={styles.compText}>{cultureType}</Text>
        <Text style={styles.compLabel}>Fecha de siembra:</Text>
        <Text style={styles.compText}>{formatDate(fieldCultureDate)}</Text>
      </TouchableOpacity>
    </View>
  );
};

export default Crop;
