//Stock item component
import React from 'react';
import {Text, View, TouchableOpacity} from 'react-native';
import styles from '../styles/Index';
import {getAge} from '../helpers/Index';
import Icon from 'react-native-vector-icons/MaterialCommunityIcons';

//Define remove icon
const remove = <Icon name="minus-circle" size={36} color="#ffa291" />;

//Get passing props anc create new item structure
const Stock = ({item, setLivestockModal, livestockEdit, livestockDel}) => {
  const {stockName, stockBirthDate, stockSpecie, id} = item;

  return (
    <View style={styles.compContainer}>
      {/* Edit listed item */}
      <TouchableOpacity
        onLongPress={() => {
          setLivestockModal(true);
          livestockEdit(item.id);
        }}
      >
        <Text style={styles.compLabel}>Nombre del animal:</Text>
        <View style={styles.itemContainer}>
          {/* Delete listed item */}
          <TouchableOpacity
            onLongPress={() => {
              livestockDel(id);
            }}
            style={styles.itemRemove}
          >
            <Text>{remove}</Text>
          </TouchableOpacity>
        </View>
        {/* Item structure preview from list */}
        <Text style={styles.compText}>{stockName}</Text>
        <Text style={styles.compLabel}>Especie:</Text>
        <Text style={styles.compText}>{stockSpecie}</Text>
        <Text style={styles.compLabel}>Edad:</Text>
        <Text style={styles.compText}>{getAge(stockBirthDate)}</Text>
      </TouchableOpacity>
    </View>
  );
};

export default Stock;
