//Index file of helpers or auxiliary functions

//Format a given date and return according defined style
export const formatDate = date => {
  const newDate = new Date(date);
  const options = {
    year: 'numeric',
    month: 'long',
    day: '2-digit',
  };

  return newDate.toLocaleDateString('es-ES', options);
};

//Calculate the difference between given date and current date
export const getAge = date => {
  var currentDate = new Date();
  var birthDate = new Date(date);
  var year = currentDate.getFullYear() - birthDate.getFullYear();
  var month = currentDate.getMonth() - birthDate.getMonth();
  var futureYear = birthDate.getFullYear();
  var futureMonth = birthDate.getMonth();

  if (
    futureYear >= currentDate.getFullYear() &&
    futureMonth > currentDate.getMonth()
  ) {
    return 'Sin Determinar';
  }
  if (
    month < 0 ||
    (month === 0 && currentDate.getDate() < birthDate.getDate())
  ) {
    year--;
  }

  if (year < 1) {
    if (month < 0) {
      return 12 + month + ' meses';
    } else {
      return month + ' meses';
    }
  }

  return year + ' años';
};

//Generate a different id from math random function in addition with unformatted date
export const idGen = () => {
  const random = Math.random().toString(36).substring(2, 11);
  const date = Date.now().toString(36);

  return random + date;
};

//Return Spanish name from a given numerical month
export const textMonth = month => {
  switch (month) {
    case 1:
      var month = 'Enero';
      break;
    case 2:
      var month = 'Febrero';
      break;
    case 3:
      var month = 'Marzo';
      break;
    case 4:
      var month = 'Abril';
      break;
    case 5:
      var month = 'Mayo';
      break;
    case 6:
      var month = 'Junio';
      break;
    case 7:
      var month = 'Julio';
      break;
    case 8:
      var month = 'Agosto';
      break;
    case 9:
      var month = 'Septiembre';
      break;
    case 10:
      var month = 'Octubre';
      break;
    case 11:
      var month = 'Noviembre';
      break;
    case 12:
      var month = 'Diciembre';
      break;
  }

  return month;
};
