//Global Style Sheet
import {Platform, StyleSheet} from 'react-native';

const styles = StyleSheet.create({
  backgroundImage: {
    flex: 1,
    marginBottom: -10,
  },
  btnAdd: {
    backgroundColor: '#7fc67f',
    padding: 15,
    marginTop: 10,
    marginHorizontal: 30,
    borderRadius: 10,
    borderColor: '#fff',
    borderWidth: 1,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.23,
    shadowRadius: 2.62,
    elevation: 4,
  },
  btnAddText: {
    textAlign: 'center',
    color: '#fff',
    fontSize: 20,
    fontWeight: '700',
    textTransform: 'uppercase',
  },
  modalContent: {
    flex: 1,
    backgroundColor: '#36a8a9',
  },
  btnModAdd: {
    backgroundColor: '#7fc67f',
    paddingVertical: 15,
    marginTop: 30,
    marginHorizontal: 30,
    borderRadius: 10,
    borderColor: 'white',
    borderWidth: 1,
    marginBottom: 20,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.23,
    shadowRadius: 2.62,
    elevation: 4,
  },
  btnModAddText: {
    textAlign: 'center',
    color: '#fff',
    fontSize: 20,
    fontWeight: '700',
    textTransform: 'uppercase',
  },
  btnWarn: {
    backgroundColor: '#ED6A5D',
    padding: 15,
    marginTop: 25,
    marginHorizontal: 50,
    borderRadius: 10,
    borderColor: '#fff',
    borderWidth: 1,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.23,
    shadowRadius: 2.62,
    elevation: 4,
  },
  compBtn: {
    paddingVertical: 5,
    paddingHorizontal: 20,
    borderRadius: 5,
  },
  compBtnDel: {
    backgroundColor: '#ffa291',
  },
  compBtnEdit: {
    backgroundColor: '#ffc87f',
  },
  compBtnText: {
    textTransform: 'uppercase',
    fontSize: 12,
    fontWeight: '700',
    color: '#fff',
  },
  compContainer: {
    backgroundColor: '#fff',
    padding: 20,
    borderBottomColor: '#5bb8b8',
    borderBottomWidth: 1,
    opacity: 0.75,
  },
  compContBtn: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop: 20,
  },
  compLabel: {
    //textTransform: 'uppercase',
    fontSize: 16,
    fontWeight: '700',
    marginBottom: 5,
  },
  compText: {
    color: '#129899',
    fontSize: 18,
    fontWeight: '700',
    marginBottom: 10,
  },
  farmContainer: {
    //backgroundColor: '#fff',
    marginTop: 0,
    marginHorizontal: 0,
    padding: 0,
    borderColor: '#5bb8b8',
    borderWidth: 0,
    borderRadius: 0,
    opacity: 0.9,
  },
  flatList: {
    marginTop: 10,
    marginHorizontal: 30,
  },
  formDatePicker: {
    backgroundColor: '#fff',
    borderRadius: 10,
    paddingHorizontal: 10,
  },
  formField: {
    marginTop: 10,
    marginHorizontal: 30,
    marginBottom: 10,
  },
  formInput: {
    backgroundColor: '#fff',
    padding: 15,
    borderRadius: 10,
    marginBottom: 15,
  },
  formLabel: {
    color: '#fff',
    marginBottom: 10,
    marginTop: 15,
    fontSize: 20,
    fontWeight: '600',
  },
  formTextBox: {
    height: 100,
  },
  globalMargin: {
    marginHorizontal: 20,
  },
  home: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: '#129899',
  },
  itemContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignSelf: 'flex-end',
    flex: 1,
  },
  itemRemove: {
    backgroundColor: '#fff',
    width: 36,
    height: 36,
    borderRadius: 100,
    marginTop: -35,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 5,
    },
    shadowOpacity: 0.34,
    shadowRadius: 6.27,
    elevation: 10,
  },
  mainGroup: {
    backgroundColor: '#fff',
    flexDirection: 'column',
    justifyContent: 'center',
    alignItems: 'center',
    marginHorizontal: 10,
    marginBottom: 10,
    padding: 10,
    paddingVertical: 10,
    borderColor: '#1c669e',
    borderWidth: 0,
    borderRadius: 25,
    opacity: 0.9,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5,
  },
  modalClose: {
    backgroundColor: '#fff',
    width: 36,
    height: 36,
    marginTop: -45,
    marginRight: 25,
    borderRadius: 100,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 5,
    },
    shadowOpacity: 0.34,
    shadowRadius: 6.27,
    elevation: 10,
  },
  modalContainer: {
    flexDirection: 'row',
    justifyContent: 'space-around',
    alignSelf: 'flex-end',
    flex: 1,
    width: 36,
    height: 36,
  },
  menuItem: {
    alignItems: 'center',
    ...Platform.select({
      ios: {
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',

        paddingTop: 15,
        marginBottom: 0,
      },
      android: {
        paddingTop: 0,
      },
    }),
  },
  modalTitle: {
    fontSize: 30,
    fontWeight: '600',
    textAlign: 'center',
    marginVertical: 10,
    color: '#fff',
  },
  screen: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: '#daefef',
  },
  tab: {
    flex: 1,
    backgroundColor: '#daefef',
    marginBottom: 50,
    paddingBottom: 10,
  },
  tabText: {
    textAlign: 'center',
    color: '#009192',
    fontSize: 22,
    fontWeight: '700',
    //textTransform: 'uppercase',
    marginVertical: 20,
  },
  tabTextWarn: {
    textAlign: 'center',
    color: '#36a8a9',
    fontSize: 20,
    fontWeight: '700',
    textTransform: 'uppercase',
  },
  tabTitle: {
    marginTop: 30,
    textAlign: 'center',
    fontSize: 30,
    color: '#129899',
    fontWeight: 'bold',
  },
  timeContainer: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    marginTop: 5,
    marginHorizontal: 10,
    padding: 0,
    paddingVertical: 0,
    borderColor: '#1c669e',
    borderWidth: 0,
    borderRadius: 5,
  },
  timeItem: {
    padding: 1,
  },
  timeText: {
    textAlign: 'center',
    color: '#36a8a9',
    fontSize: 20,
    fontWeight: '600',
    //textTransform: 'uppercase',
    marginVertical: 5,
  },
  timeTextHeader: {
    textAlign: 'center',
    color: '#009192',
    fontSize: 22,
    fontWeight: '700',
    marginVertical: 20,
  },
  timeTextCurrent: {
    textAlign: 'center',
    color: '#1c669e',
    fontSize: 25,
    fontWeight: '700',
    //textTransform: 'uppercase',
    marginVertical: 10,
  },
  title: {
    fontSize: 20,
    marginBottom: 10,
  },
  weatherContainer: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    marginTop: 5,
    marginHorizontal: 10,
    padding: 0,
    paddingVertical: 0,
    borderColor: '#1c669e',
    borderWidth: 0,
    borderRadius: 5,
  },
  weatherGroup: {
    flex: 1,
    flexDirection: 'column',
    justifyContent: 'flex-start',
    alignItems: 'center',
  },
  weatherIconApi: {
    width: 66,
    height: 58,
  },
  weatherItem: {
    marginBottom: -5,
  },
  weatherItemText: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  weatherText: {
    textAlign: 'center',
    color: '#1c669e',
    fontSize: 18,
    fontWeight: '700',
    marginBottom: 10,
  },
  weatherTextCap: {
    textAlign: 'center',
    color: '#1c669e',
    fontSize: 18,
    fontWeight: '700',
    marginVertical: 10,
    textTransform: 'capitalize',
  },
});

export default styles;
