//Currently settings view. More functions expected
import React from 'react';
import {
  ImageBackground,
  View,
  Alert,
  TouchableOpacity,
  Text,
} from 'react-native';
import styles from '../styles/Index';
import AsyncStorage from '@react-native-async-storage/async-storage';

export const Settings = () => {
  //Reset App persistence data
  const resetApp = () => {
    Alert.alert(
      '¿Desea reiniciar la aplicación a su estado inicial?',
      'Los datos eliminados no podrán ser recuperados',
      [
        {text: 'Cancelar'},
        {
          text: 'Eliminar',
          onPress: async function () {
            try {
              const keys = await AsyncStorage.getAllKeys();
              await AsyncStorage.multiRemove(keys);
            } catch (error) {
              console.error('Error eliminado la información');
            }
          },
        },
      ],
    );
  };

  //Return view rendered component
  return (
    <View style={styles.tab}>
      <ImageBackground
        source={require('../img/farmbg.jpg')}
        resizeMode="cover"
        style={styles.backgroundImage}
      >
        <TouchableOpacity onPress={resetApp} style={styles.btnWarn}>
          <Text style={styles.btnAddText}>Reiniciar Aplicación</Text>
        </TouchableOpacity>
      </ImageBackground>
    </View>
  );
};
